package com.qaprosoft.carina.core.utils;

import com.qaprosoft.carina.core.foundation.utils.resources.L10N;
import org.testng.Assert;
import org.testng.annotations.Test;

public class L10NTest {

    private static final String KEY = "wish";
    private static final String DEFAULT_VALUE = "good luck";
    private static final String US_VALUE = "good luck";
    private static final String GERMAN_VALUE = "viel Glück";
    private static final String FRANCE_VALUE = "Bonne chance";

    @Test
    public void testDefaultLocaleGetValue() {
        L10N.setLocale("");
        L10N.load();
        String value = L10N.getText(KEY);

        Assert.assertEquals(value, DEFAULT_VALUE, "Default value doesn't equal to " + DEFAULT_VALUE);
    }

    @Test
    public void testUSLocaleGetValue() {
        L10N.setLocale("en_US");
        L10N.load();
        String value = L10N.getText(KEY);

        Assert.assertEquals(value, US_VALUE, "US value doesn't equal to " + GERMAN_VALUE);
    }

    @Test
    public void testGermanyLocaleGetValue() {
        L10N.setLocale("de_DE");
        L10N.load();
        String value = L10N.getText(KEY);

        Assert.assertEquals(value, GERMAN_VALUE, "German value doesn't equal to " + GERMAN_VALUE);
    }

    @Test
    public void testFranceLocaleGetValue() {
        L10N.setLocale("fr_FR");
        L10N.load();

        String value = L10N.getText(KEY);

        Assert.assertEquals(value, FRANCE_VALUE, "France value doesn't equal to " + GERMAN_VALUE);
    }
}
